function corr = cosine_label(Y,percent)
num_label = size(Y,2);
corr = Y'*Y;
norm_y = sqrt(sum(Y.*Y,1));
norm_yi_yj = norm_y'*norm_y;
corr = corr./norm_yi_yj;
[v,sort_idx] = sort(corr(:),'descend');
v_threshold = v(round(percent*num_label^2)+num_label);
corr(corr<v_threshold) = 0;
